## check-pgbackrest 1.9

=== packaging/Makefile ===
all: clean_before create_vm clean_after

clean_before:
	vagrant destroy -f

create_vm:
	vagrant up

clean_after:
	vagrant destroy -f

=== test/Makefile ===
s1: clean create_vm pgbackrest_local icinga2_local
s1_light: clean create_vm pgbackrest_local
s2: clean create_vm pgbackrest_remote icinga2_remote
s2_light: clean create_vm pgbackrest_remote
s3: clean create_vm pgbackrest_minio icinga2_minio
s3_light: clean create_vm pgbackrest_minio

create_vm:
	vagrant up

pgbackrest_local:
	vagrant up --provision-with=cifs
	vagrant up --provision-with=pgbackrest_local

icinga2_local:
	vagrant up --provision-with=icinga2
	vagrant up --provision-with=icinga2_local

pgbackrest_remote:
	vagrant up --provision-with=pgbackrest_remote_primary
	vagrant up --provision-with=pgbackrest_remote_standby

icinga2_remote:
	vagrant up --provision-with=icinga2
	vagrant up --provision-with=icinga2_remote

pgbackrest_minio:
	vagrant up --provision-with=minio
	vagrant up --provision-with=minio_http
	vagrant up --provision-with=pgbackrest_minio

icinga2_minio:
	vagrant up --provision-with=icinga2
	vagrant up --provision-with=icinga2_minio

clean:
	vagrant destroy -f

=== debian/changelog ===
check-pgbackrest (1.9-2) unstable; urgency=medium

  [ Christoph Berg ]
  * Enhances: pgbackrest.

  [ Chris Lamb ]
  * Use UTC in manpage generation to make build reproducible.
    (Closes: #970851)

 -- Christoph Berg <myon@debian.org>  Thu, 24 Sep 2020 13:51:09 +0200

check-pgbackrest (1.9-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Tue, 01 Sep 2020 16:30:08 +0200

=== debian/control ===
Source: check-pgbackrest
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 perl,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/postgresql/check-pgbackrest
Vcs-Git: https://salsa.debian.org/postgresql/check-pgbackrest.git
Homepage: https://github.com/pgstef/check_pgbackrest

Package: check-pgbackrest
Architecture: all
Depends:
 libdata-dump-perl,
 libjson-perl,
 perl,
 ${misc:Depends},
 ${shlibs:Depends},
Enhances: pgbackrest
Description: pgBackRest backup check plugin for Nagios
 check_pgbackrest is designed to monitor pgBackRest PostgreSQL backups from
 Nagios.

=== debian/watch ===
version=4
opts="uversionmangle=s/_/./g" \
https://github.com/pgstef/check_pgbackrest/releases .*/REL([0-9_.-]*).tar.gz

## check-pgbackrest 2.0

=== tests/centos7/Makefile ===
### Global variables
EPAS='false'

### Make scenario
s1: clean create_vm cifs pgbackrest_local icinga2_multi generate_config_file_local
s1_full: clean create_vm cifs pgbackrest_build pgbackrest_local icinga2_multi generate_config_file_local
s1_light: clean create_vm cifs pgbackrest_local generate_config_file_local

s2: clean create_vm pgbackrest_remote icinga2_multi generate_config_file_remote
s2_full: clean create_vm pgbackrest_build pgbackrest_remote icinga2_multi generate_config_file_remote
s2_light: clean create_vm pgbackrest_remote generate_config_file_remote

s3: clean create_vm pgbackrest_minio icinga2_multi generate_config_file_local
s3_full: clean create_vm pgbackrest_build pgbackrest_minio icinga2_multi generate_config_file_local
s3_light: clean create_vm pgbackrest_minio generate_config_file_local

s4: clean create_vm pgbackrest_azurite icinga2_multi generate_config_file_local
s4_full: clean create_vm pgbackrest_build pgbackrest_azurite icinga2_multi generate_config_file_local
s4_light: clean create_vm pgbackrest_azurite generate_config_file_local

### Setup
clean:
	vagrant destroy -f

clean_git:
	git clean -f -dX --dry-run

create_vm:
	EPAS=$(EPAS) vagrant up

### Configuration
cifs:
	vagrant up --provision-with=cifs

pgbackrest_local:
	EPAS=$(EPAS) vagrant up --provision-with=pgbackrest_local_primary
	EPAS=$(EPAS) vagrant up --provision-with=pgbackrest_local_standby

pgbackrest_remote:
	EPAS=$(EPAS) vagrant up --provision-with=pgbackrest_remote_primary
	EPAS=$(EPAS) vagrant up --provision-with=pgbackrest_remote_standby

pgbackrest_minio:
	vagrant up --provision-with=minio
	vagrant up --provision-with=minio_http
	EPAS=$(EPAS) vagrant up --provision-with=pgbackrest_minio_primary
	EPAS=$(EPAS) vagrant up --provision-with=pgbackrest_minio_standby

pgbackrest_azurite:
	vagrant up --provision-with=azurite
	EPAS=$(EPAS) vagrant up --provision-with=pgbackrest_azurite_primary
	EPAS=$(EPAS) vagrant up --provision-with=pgbackrest_azurite_standby

icinga2_multi:
	EPAS=false vagrant up --provision-with=icinga2 # use PostgreSQL to install icinga2
	EPAS=$(EPAS) vagrant up --provision-with=icinga2_multi

### Specific operations
pgbackrest_build:
	EPAS=$(EPAS) vagrant up --provision-with=pgbackrest_build

perl_build:
	vagrant up --provision-with=perl_build

generate_config_file_local:
	EPAS=$(EPAS) SPROFILE='local' vagrant up --provision-with=generate_config_file

generate_config_file_remote:
	EPAS=$(EPAS) SPROFILE='remote' vagrant up --provision-with=generate_config_file

=== tests/debian/Makefile ===
all: clean create_vm pgbackrest_local

create_vm:
	vagrant up

pgbackrest_local:
	vagrant up --provision-with=pgbackrest_local
	vagrant up --provision-with=check_pgbackrest

clean:
	vagrant destroy -f

=== debian/changelog ===
check-pgbackrest (2.0-1.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 23 Apr 2021 15:37:15 +0200

check-pgbackrest (2.0-1) experimental; urgency=medium

  * New upstream version.
  * Breaks pgbackrest << 2.28 since it uses commands from that version.

 -- Christoph Berg <myon@debian.org>  Fri, 23 Apr 2021 15:37:15 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  debhelper-compat (= 13),
  perl,
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/postgresql/check-pgbackrest
 Vcs-Git: https://salsa.debian.org/postgresql/check-pgbackrest.git
 Homepage: https://github.com/pgstef/check_pgbackrest
@@ -21,6 +22,7 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Enhances: pgbackrest
+Breaks: pgbackrest (<< 2.28)
 Description: pgBackRest backup check plugin for Nagios
  check_pgbackrest is designed to monitor pgBackRest PostgreSQL backups from
  Nagios.

## check-pgbackrest 2.2

=== tests/Makefile ===
### Global variables
# disable running the activity script by default
ACTIVITY='false'
# define PG on CentOS 7 as default profile
PROFILE='c7pg'

### Make targets
init: clean_vm create_vm

uc1:
	ACTIVITY=$(ACTIVITY) ARCH='use-case-1' EXTRA="$(EXTRA) check_pgbackrest_build=true deploy_icinga2=true" PGBR_BUILD='false' PGBR_REPO_TYPE=$(PGBR_REPO_TYPE) PROFILE=$(PROFILE) vagrant up --provision-with=exec-ci
uc1_full:
	ACTIVITY=$(ACTIVITY) ARCH='use-case-1' EXTRA="$(EXTRA) check_pgbackrest_build=true deploy_icinga2=true" PGBR_BUILD='true' PGBR_REPO_TYPE=$(PGBR_REPO_TYPE) PROFILE=$(PROFILE) vagrant up --provision-with=exec-ci
uc1_light:
	ACTIVITY=$(ACTIVITY) ARCH='use-case-1' EXTRA="$(EXTRA)" PGBR_BUILD='false' PGBR_REPO_TYPE=$(PGBR_REPO_TYPE) PROFILE=$(PROFILE) vagrant up --provision-with=exec-ci

uc2:
	ACTIVITY=$(ACTIVITY) ARCH='use-case-2' EXTRA="$(EXTRA) check_pgbackrest_build=true deploy_icinga2=true" PGBR_BUILD='false' PGBR_REPO_TYPE=$(PGBR_REPO_TYPE) PROFILE=$(PROFILE) vagrant up --provision-with=exec-ci
uc2_full:
	ACTIVITY=$(ACTIVITY) ARCH='use-case-2' EXTRA="$(EXTRA) check_pgbackrest_build=true deploy_icinga2=true" PGBR_BUILD='true' PGBR_REPO_TYPE=$(PGBR_REPO_TYPE) PROFILE=$(PROFILE) vagrant up --provision-with=exec-ci
uc2_light:
	ACTIVITY=$(ACTIVITY) ARCH='use-case-2' EXTRA="$(EXTRA)" PGBR_BUILD='false' PGBR_REPO_TYPE=$(PGBR_REPO_TYPE) PROFILE=$(PROFILE) vagrant up --provision-with=exec-ci

### Setup
clean_ci:
	PROFILE=$(PROFILE) vagrant up --provision-with=clean-ci

clean_docker:
	vagrant ssh -c "docker rm -f $(docker ps -a -q)"

clean_git:
	git clean -f -dX --dry-run

clean_icinga2:
	vagrant ssh -c "docker stop $(PROFILE)-icinga2 && docker rm $(PROFILE)-icinga2"

clean_vm:
	vagrant destroy -f

create_vm:
	vagrant up
	vagrant ssh -c "sh /vagrant/run.sh -i"

=== debian/changelog ===
check-pgbackrest (2.2-1.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 06 Dec 2021 12:24:37 +0100

check-pgbackrest (2.2-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 06 Dec 2021 12:24:37 +0100

check-pgbackrest (2.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.0, no changes needed.

  [ Christoph Berg ]
  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 15 Oct 2021 15:04:25 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders:
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 10),
  perl,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/postgresql/check-pgbackrest
 Vcs-Git: https://salsa.debian.org/postgresql/check-pgbackrest.git

## check-pgbackrest 2.3

=== tests/Makefile ===
--- 
+++ 
@@ -22,11 +22,11 @@
 	ACTIVITY=$(ACTIVITY) ARCH='use-case-2' EXTRA="$(EXTRA)" PGBR_BUILD='false' PGBR_REPO_TYPE=$(PGBR_REPO_TYPE) PROFILE=$(PROFILE) vagrant up --provision-with=exec-ci
 
 ### Setup
+build_all_docker_images:
+	vagrant ssh -c "ansible-playbook /vagrant/platforms/docker/build_all_images.yml"
+
 clean_ci:
 	PROFILE=$(PROFILE) vagrant up --provision-with=clean-ci
-
-clean_docker:
-	vagrant ssh -c "docker rm -f $(docker ps -a -q)"
 
 clean_git:
 	git clean -f -dX --dry-run

=== debian/changelog ===
check-pgbackrest (2.3-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 14 Jun 2022 16:12:24 +0200

=== debian/tests/control ===
Tests: check-pgb-version
Depends:
 dpkg-dev,
 @,
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="uversionmangle=s/_/./g" \
https://github.com/pgstef/check_pgbackrest/tags .*/REL([0-9_.-]*).tar.gz

## check-pgbackrest 2.4

=== tests/Makefile ===
### Global variables
# disable running the activity script by default
ACTIVITY='false'
# define PG on Rocky 9 as default profile
PROFILE='ro9pg'

### Make targets
init: clean_vm create_vm

uc1:
	ACTIVITY=$(ACTIVITY) ARCH='shared-storage' EXTRA="check_pgbackrest_build=true deploy_icinga2=true $(EXTRA)" PGBR_BUILD='false' PGBR_REPO_TYPE=$(PGBR_REPO_TYPE) PROFILE=$(PROFILE) vagrant up --provision-with=exec-ci
uc1_full:
	ACTIVITY=$(ACTIVITY) ARCH='shared-storage' EXTRA="check_pgbackrest_build=true deploy_icinga2=true $(EXTRA)" PGBR_BUILD='true' PGBR_REPO_TYPE=$(PGBR_REPO_TYPE) PROFILE=$(PROFILE) vagrant up --provision-with=exec-ci
uc1_light:
	ACTIVITY=$(ACTIVITY) ARCH='shared-storage' EXTRA="$(EXTRA)" PGBR_BUILD='false' PGBR_REPO_TYPE=$(PGBR_REPO_TYPE) PROFILE=$(PROFILE) vagrant up --provision-with=exec-ci

uc2:
	ACTIVITY=$(ACTIVITY) ARCH='with-repo-host' EXTRA="check_pgbackrest_build=true deploy_icinga2=true $(EXTRA)" PGBR_BUILD='false' PGBR_REPO_TYPE=$(PGBR_REPO_TYPE) PROFILE=$(PROFILE) vagrant up --provision-with=exec-ci
uc2_full:
	ACTIVITY=$(ACTIVITY) ARCH='with-repo-host' EXTRA="check_pgbackrest_build=true deploy_icinga2=true $(EXTRA)" PGBR_BUILD='true' PGBR_REPO_TYPE=$(PGBR_REPO_TYPE) PROFILE=$(PROFILE) vagrant up --provision-with=exec-ci
uc2_light:
	ACTIVITY=$(ACTIVITY) ARCH='with-repo-host' EXTRA="$(EXTRA)" PGBR_BUILD='false' PGBR_REPO_TYPE=$(PGBR_REPO_TYPE) PROFILE=$(PROFILE) vagrant up --provision-with=exec-ci

### Setup
build_all_docker_images:
	vagrant ssh -c "ansible-playbook /vagrant/platforms/docker/build_all_images.yml"

clean_ci:
	PROFILE=$(PROFILE) vagrant up --provision-with=clean-ci

clean_git:
	git clean -f -dX --dry-run

clean_icinga2:
	vagrant ssh -c "docker stop $(PROFILE)-icinga2 && docker rm $(PROFILE)-icinga2"

clean_vm:
	vagrant destroy -f

create_vm:
	vagrant up
	vagrant ssh -c "sh /vagrant/run.sh -i"

=== debian/changelog ===
check-pgbackrest (2.4-1.pgdg24.10+1) oracular-pgdg; urgency=medium

  * Rebuild for oracular-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 05 Jul 2024 09:54:42 +0200

check-pgbackrest (2.4-1) unstable; urgency=medium

  * New upstream version.
    (Closes: #1074786)

 -- Michael Banck <mbanck@debian.org>  Fri, 05 Jul 2024 09:54:42 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 13),
  perl,
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
